Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app
Class WindowPane

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.WindowPane

All Implemented Interfaces:
  java.io.Serializable, FloatingPane, ModalSupport, Pane, PaneContainer, RenderIdSupport

    public class WindowPane

extends Component
implements FloatingPane, ModalSupport, PaneContainer

A `Component` which renders its contents in a floating, movable window.

NOTE: A `WindowPane` may only be added to a `ContentPane`.

See Also:
  Serialized Form

Field Summary
`static int` | `DISPOSE_ON_CLOSE` A constant for the `defaultCloseOperation` property indicating that a window should be removed from the component hierarchy when a user attempts to close it.
`static int` | `DO_NOTHING_ON_CLOSE` A constant for the `defaultCloseOperation` property indicating that nothing should be done when the user attempts to close a window.
`static int` | `HIDE_ON_CLOSE` A constant for the `defaultCloseOperation` property indicating that a window should be hidden when the user attempts to close it.
`static java.lang.String` | `INPUT_CLOSE`
`static java.lang.String` | `PROPERTY_BACKGROUND_IMAGE`
`static java.lang.String` | `PROPERTY_BORDER`
`static java.lang.String` | `PROPERTY_CLOSABLE`
`static java.lang.String` | `PROPERTY_CLOSE_ICON`
`static java.lang.String` | `PROPERTY_CLOSE_ICON_INSETS`
`static java.lang.String` | `PROPERTY_DEFAULT_CLOSE_OPERATION`
`static java.lang.String` | `PROPERTY_HEIGHT`
`static java.lang.String` | `PROPERTY_ICON`
`static java.lang.String` | `PROPERTY_ICON_INSETS`
`static java.lang.String` | `PROPERTY_INSETS`
`static java.lang.String` | `PROPERTY_MAXIMUM_HEIGHT`
`static java.lang.String` | `PROPERTY_MAXIMUM_WIDTH`
`static java.lang.String` | `PROPERTY_MINIMUM_HEIGHT`
`static java.lang.String` | `PROPERTY_MINIMUM_WIDTH`
`static java.lang.String` | `PROPERTY_MOVABLE`
`static java.lang.String` | `PROPERTY_POSITION_X`
`static java.lang.String` | `PROPERTY_POSITION_Y`
`static java.lang.String` | `PROPERTY_RESIZABLE`
`static java.lang.String` | `PROPERTY_TITLE`
`static java.lang.String` | `PROPERTY_TITLE_BACKGROUND`
`static java.lang.String` | `PROPERTY_TITLE_BACKGROUND_IMAGE`
`static java.lang.String` | `PROPERTY_TITLE_FONT`
`static java.lang.String` | `PROPERTY_TITLE_FOREGROUND`
`static java.lang.String` | `PROPERTY_TITLE_HEIGHT`
`static java.lang.String` | `PROPERTY_TITLE_INSETS`
`static java.lang.String` | `PROPERTY_WIDTH`
`static java.lang.String` | `Z_INDEX_CHANGED_PROPERTY`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Fields inherited from interface nextapp.echo2.app.ModalSupport
`MODAL_CHANGED_PROPERTY`

Constructor Summary
`WindowPane()` Creates a new `WindowPane`.
`WindowPane(java.lang.String title, Extent width, Extent height)` Creates a new `WindowPane` with the specified title and dimensions.

Method Summary
`void` | `addWindowPaneListener(WindowPaneListener l)` Adds a `WindowPaneListener` to receive event notifications.
`protected void` | `fireWindowClosing()` Notifies `WindowPaneListener`s that the user has requested to close this `WindowPane`.
`FillImage` | `getBackgroundImage()` Returns the background image of the `WindowPane`.
`FillImageBorder` | `getBorder()` Returns the border which surrounds the entire `WindowPane`.
`ImageReference` | `getCloseIcon()` Returns the close button icon.
`Insets` | `getCloseIconInsets()` Returns the inset margin around the close button icon.
`int` | `getDefaultCloseOperation()` Returns the default close operation.
`Extent` | `getHeight()` Returns the height of the content region of the window.
`ImageReference` | `getIcon()` Returns the icon displayed in the title region.
`Insets` | `getIconInsets()` Returns the inset margin around the icon.
`Insets` | `getInsets()` Returns the inset of the window content.
`Extent` | `getMaximumHeight()` Returns the maximum height of the content region of the `WindowPane`.
`Extent` | `getMaximumWidth()` Returns the maximum width of the content region of the `WindowPane`.
`Extent` | `getMinimumHeight()` Returns the minimum height of the content region of the `WindowPane`.
`Extent` | `getMinimumWidth()` Returns the minimum width of the content region of the `WindowPane`.
`Extent` | `getPositionX()` Returns the horizontal (Y) position of the `WindowPane` with respect to its container.
`Extent` | `getPositionY()` Returns the vertical (Y) position of the `WindowPane` with respect to its container.
`java.lang.String` | `getTitle()` Returns the title of the `WindowPane`.
`Color` | `getTitleBackground()` Returns the background color of the title region.
`FillImage` | `getTitleBackgroundImage()` Returns the background image of the title region.
`Font` | `getTitleFont()` Returns the font of the title region.
`Color` | `getTitleForeground()` Returns the foreground color of the title region.
`Extent` | `getTitleHeight()` Returns the height of the title region.
`Insets` | `getTitleInsets()` Returns the insets of the title region.
`Extent` | `getWidth()` Returns the width of the content region of the window.
`int` | `getZIndex()` Returns the z-index of the window with respect to its parent `ContentPane`.
`boolean` | `isClosable()` Determines if the window is closable via a provided close button in the title bar.
`boolean` | `isModal()` Determines the modal state of this component.
`boolean` | `isMovable()` Determines if the window is movable.
`boolean` | `isResizable()` Determines if the window is resizable.
`boolean` | `isValidChild(Component component)` Limit content to a single child.
`boolean` | `isValidParent(Component parent)` Only allow `ContentPane`s as parents.
`void` | `processInput(java.lang.String inputName, java.lang.Object inputValue)` Processes client input specific to the `Component` received from the `UpdateManager`.
`void` | `removeWindowPaneListener(WindowPaneListener l)` Removes a `WindowPaneListener` from receiving event notifications.
`void` | `setBackgroundImage(FillImage newValue)` Sets the background image of the `WindowPane`.
`void` | `setBorder(FillImageBorder newValue)` Sets the border which surrounds the entire `WindowPane`.
`void` | `setClosable(boolean newValue)` Sets whether the window is closable via a provided close button in the title bar.
`void` | `setCloseIcon(ImageReference newValue)` Sets the close button icon.
`void` | `setCloseIconInsets(Insets newValue)` Sets the inset margin around the close button icon.
`void` | `setDefaultCloseOperation(int newValue)` Sets the default close operation.
`void` | `setHeight(Extent newValue)` Sets the height of the content region of the `WindowPane`.
`void` | `setIcon(ImageReference newValue)` Sets the icon displayed in the title region.
`void` | `setIconInsets(Insets newValue)` Sets the inset margin around the icon.
`void` | `setInsets(Insets newValue)` Sets the inset of the window content.
`void` | `setMaximumHeight(Extent newValue)` Sets the maximum height of the content region of the `WindowPane`.
`void` | `setMaximumWidth(Extent newValue)` Sets the maximum width of the content region of the `WindowPane`.
`void` | `setMinimumHeight(Extent newValue)` Sets the minimum height of the content region of the `WindowPane`.
`void` | `setMinimumWidth(Extent newValue)` Sets the minimum width of the content region of the `WindowPane`.
`void` | `setModal(boolean newValue)` Sets the modal state of the `Component`.
`void` | `setMovable(boolean newValue)` Sets whether the window is movable.
`void` | `setPositionX(Extent newValue)` Sets the horizontal (X) position of the `WindowPane` with respect to its container.
`void` | `setPositionY(Extent newValue)` Sets the vertical (Y) position of the `WindowPane` with respect to its container.
`void` | `setResizable(boolean newValue)` Sets whether the window is resizable.
`void` | `setTitle(java.lang.String newValue)` Sets the title of the `WindowPane`.
`void` | `setTitleBackground(Color newValue)` Sets the background color of the title region.
`void` | `setTitleBackgroundImage(FillImage newValue)` Sets the background image of the title region.
`void` | `setTitleFont(Font newValue)` Sets the font of the title region.
`void` | `setTitleForeground(Color newValue)` Sets the foreground color of the title region.
`void` | `setTitleHeight(Extent newValue)` Sets the height of the title region.
`void` | `setTitleInsets(Insets newValue)` Sets the insets of the title region.
`void` | `setWidth(Extent newValue)` Sets the width of the content region of the window.
`void` | `setZIndex(int newValue)` Sets the z-index of the window with respect to its parent `ContentPane`.
`void` | `userClose()` Processes a user request to close the window (via the close button).

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isVisible, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INPUT_CLOSE

    public static final java.lang.String INPUT_CLOSE

See Also:
  Constant Field Values

### PROPERTY_BACKGROUND_IMAGE

    public static final java.lang.String PROPERTY_BACKGROUND_IMAGE

See Also:
  Constant Field Values

### PROPERTY_BORDER

    public static final java.lang.String PROPERTY_BORDER

See Also:
  Constant Field Values

### PROPERTY_CLOSABLE

    public static final java.lang.String PROPERTY_CLOSABLE

See Also:
  Constant Field Values

### PROPERTY_CLOSE_ICON

    public static final java.lang.String PROPERTY_CLOSE_ICON

See Also:
  Constant Field Values

### PROPERTY_CLOSE_ICON_INSETS

    public static final java.lang.String PROPERTY_CLOSE_ICON_INSETS

See Also:
  Constant Field Values

### PROPERTY_DEFAULT_CLOSE_OPERATION

    public static final java.lang.String PROPERTY_DEFAULT_CLOSE_OPERATION

See Also:
  Constant Field Values

### PROPERTY_HEIGHT

    public static final java.lang.String PROPERTY_HEIGHT

See Also:
  Constant Field Values

### PROPERTY_ICON

    public static final java.lang.String PROPERTY_ICON

See Also:
  Constant Field Values

### PROPERTY_ICON_INSETS

    public static final java.lang.String PROPERTY_ICON_INSETS

See Also:
  Constant Field Values

### PROPERTY_INSETS

    public static final java.lang.String PROPERTY_INSETS

See Also:
  Constant Field Values

### PROPERTY_MAXIMUM_HEIGHT

    public static final java.lang.String PROPERTY_MAXIMUM_HEIGHT

See Also:
  Constant Field Values

### PROPERTY_MAXIMUM_WIDTH

    public static final java.lang.String PROPERTY_MAXIMUM_WIDTH

See Also:
  Constant Field Values

### PROPERTY_MINIMUM_HEIGHT

    public static final java.lang.String PROPERTY_MINIMUM_HEIGHT

See Also:
  Constant Field Values

### PROPERTY_MINIMUM_WIDTH

    public static final java.lang.String PROPERTY_MINIMUM_WIDTH

See Also:
  Constant Field Values

### PROPERTY_MOVABLE

    public static final java.lang.String PROPERTY_MOVABLE

See Also:
  Constant Field Values

### PROPERTY_POSITION_X

    public static final java.lang.String PROPERTY_POSITION_X

See Also:
  Constant Field Values

### PROPERTY_POSITION_Y

    public static final java.lang.String PROPERTY_POSITION_Y

See Also:
  Constant Field Values

### PROPERTY_RESIZABLE

    public static final java.lang.String PROPERTY_RESIZABLE

See Also:
  Constant Field Values

### PROPERTY_TITLE

    public static final java.lang.String PROPERTY_TITLE

See Also:
  Constant Field Values

### PROPERTY_TITLE_BACKGROUND

    public static final java.lang.String PROPERTY_TITLE_BACKGROUND

See Also:
  Constant Field Values

### PROPERTY_TITLE_BACKGROUND_IMAGE

    public static final java.lang.String PROPERTY_TITLE_BACKGROUND_IMAGE

See Also:
  Constant Field Values

### PROPERTY_TITLE_FONT

    public static final java.lang.String PROPERTY_TITLE_FONT

See Also:
  Constant Field Values

### PROPERTY_TITLE_FOREGROUND

    public static final java.lang.String PROPERTY_TITLE_FOREGROUND

See Also:
  Constant Field Values

### PROPERTY_TITLE_HEIGHT

    public static final java.lang.String PROPERTY_TITLE_HEIGHT

See Also:
  Constant Field Values

### PROPERTY_TITLE_INSETS

    public static final java.lang.String PROPERTY_TITLE_INSETS

See Also:
  Constant Field Values

### PROPERTY_WIDTH

    public static final java.lang.String PROPERTY_WIDTH

See Also:
  Constant Field Values

### Z_INDEX_CHANGED_PROPERTY

    public static final java.lang.String Z_INDEX_CHANGED_PROPERTY

See Also:
  Constant Field Values

### DO_NOTHING_ON_CLOSE

    public static final int DO_NOTHING_ON_CLOSE

  A constant for the `defaultCloseOperation` property indicating that nothing should be done when the user attempts to close a window.

  See Also:
    Constant Field Values

### HIDE_ON_CLOSE

    public static final int HIDE_ON_CLOSE

  A constant for the `defaultCloseOperation` property indicating that a window should be hidden when the user attempts to close it.

  See Also:
    Constant Field Values

### DISPOSE_ON_CLOSE

    public static final int DISPOSE_ON_CLOSE

  A constant for the `defaultCloseOperation` property indicating that a window should be removed from the component hierarchy when a user attempts to close it.

  See Also:
    Constant Field Values

Constructor Detail

### WindowPane

    public WindowPane()

  Creates a new `WindowPane`.

### WindowPane

    public WindowPane(java.lang.String title,
                      Extent width,
                      Extent height)

  Creates a new `WindowPane` with the specified title and dimensions.

  Parameters:
    `title` - the title
    `width` - The width
    `height` - The height

Method Detail

### addWindowPaneListener

    public void addWindowPaneListener(WindowPaneListener l)

  Adds a `WindowPaneListener` to receive event notifications.

  Parameters:
    `l` - the `WindowPaneListener` to add

### fireWindowClosing

    protected void fireWindowClosing()

  Notifies `WindowPaneListener`s that the user has requested to close this `WindowPane`.

### getBackgroundImage

    public FillImage getBackgroundImage()

  Returns the background image of the `WindowPane`.

  Returns:
    the background image

### getBorder

    public FillImageBorder getBorder()

  Returns the border which surrounds the entire `WindowPane`.

  Returns:
    border

### getCloseIcon

    public ImageReference getCloseIcon()

  Returns the close button icon.

  Returns:
    the icon

### getCloseIconInsets

    public Insets getCloseIconInsets()

  Returns the inset margin around the close button icon.

  Returns:
    the inset margin

### getDefaultCloseOperation

    public int getDefaultCloseOperation()

  Returns the default close operation.

  Returns:
    the default close operation, one of the following values:
    - DO_NOTHING_ON_CLOSE
    - HIDE_ON_CLOSE
    - DISPOSE_ON_CLOSE

### getHeight

    public Extent getHeight()

  Returns the height of the content region of the window.

  Returns:
    the height

### getIcon

    public ImageReference getIcon()

  Returns the icon displayed in the title region.

  Returns:
    the icon

### getIconInsets

    public Insets getIconInsets()

  Returns the inset margin around the icon.

  Returns:
    the inset margin

### getInsets

    public Insets getInsets()

  Returns the inset of the window content. This property is not rendered when the content is a `Pane` component.

  Returns:
    the inset

### getMaximumHeight

    public Extent getMaximumHeight()

  Returns the maximum height of the content region of the `WindowPane`.

  Returns:
    the maximum height

### getMaximumWidth

    public Extent getMaximumWidth()

  Returns the maximum width of the content region of the `WindowPane`.

  Returns:
    the maximum width

### getMinimumHeight

    public Extent getMinimumHeight()

  Returns the minimum height of the content region of the `WindowPane`.

  Returns:
    the minimum height

### getMinimumWidth

    public Extent getMinimumWidth()

  Returns the minimum width of the content region of the `WindowPane`.

  Returns:
    the minimum width

### getPositionX

    public Extent getPositionX()

  Returns the horizontal (Y) position of the `WindowPane` with respect to its container.

  Returns:
    the position

### getPositionY

    public Extent getPositionY()

  Returns the vertical (Y) position of the `WindowPane` with respect to its container.

  Returns:
    the position

### getTitle

    public java.lang.String getTitle()

  Returns the title of the `WindowPane`.

  Returns:
    the title

### getTitleBackground

    public Color getTitleBackground()

  Returns the background color of the title region.

  Returns:
    the color

### getTitleBackgroundImage

    public FillImage getTitleBackgroundImage()

  Returns the background image of the title region.

  Returns:
    the background image

### getTitleFont

    public Font getTitleFont()

  Returns the font of the title region.

  Returns:
    the font

### getTitleForeground

    public Color getTitleForeground()

  Returns the foreground color of the title region.

  Returns:
    the color

### getTitleHeight

    public Extent getTitleHeight()

  Returns the height of the title region.

  Returns:
    the height

### getTitleInsets

    public Insets getTitleInsets()

  Returns the insets of the title region.

  Returns:
    the insets

### getWidth

    public Extent getWidth()

  Returns the width of the content region of the window.

  Returns:
    the width

### getZIndex

    public int getZIndex()

  Returns the z-index of the window with respect to its parent `ContentPane`. Windows with higher z-indices will visually obscure windows with lower z-indices.

  Returns:
    the z-index

### isClosable

    public boolean isClosable()

  Determines if the window is closable via a provided close button in the title bar.

  Returns:
    true if the window is closable

### isModal

    public boolean isModal()

  Description copied from interface: `ModalSupport`
  Determines the modal state of this component.

  Specified by:
    `isModal` in interface `ModalSupport`
  Returns:
    true if the component is modal
  See Also:
    `ModalSupport.isModal()`

### isMovable

    public boolean isMovable()

  Determines if the window is movable.

  Returns:
    true if the window is movable

### isResizable

    public boolean isResizable()

  Determines if the window is resizable.

  Returns:
    true if the window is resizable

### isValidChild

    public boolean isValidChild(Component component)

  Limit content to a single child.

  Overrides:
    `isValidChild` in class `Component`
  Parameters:
    `component` - the `Component` to evaluate as a child
  Returns:
    true if the `Component` is a valid child
  See Also:
    `Component.isValidChild(nextapp.echo2.app.Component)`

### isValidParent

    public boolean isValidParent(Component parent)

  Only allow `ContentPane`s as parents.

  Overrides:
    `isValidParent` in class `Component`
  Parameters:
    `parent` - the `Component` to evaluate as a parent
  Returns:
    true if the `Component` is a valid parent
  See Also:
    `Component.isValidParent(nextapp.echo2.app.Component)`

### processInput

    public void processInput(java.lang.String inputName,
                             java.lang.Object inputValue)

  Description copied from class: `Component`
  Processes client input specific to the `Component` received from the `UpdateManager`. Derivative implementations should take care to invoke `super.processInput()`.

  Overrides:
    `processInput` in class `Component`
  Parameters:
    `inputName` - the name of the input
    `inputValue` - the value of the input
  See Also:
    `Component.processInput(java.lang.String, java.lang.Object)`

### setBackgroundImage

    public void setBackgroundImage(FillImage newValue)

  Sets the background image of the `WindowPane`.

  Parameters:
    `newValue` - the new background image

### setBorder

    public void setBorder(FillImageBorder newValue)

  Sets the border which surrounds the entire `WindowPane`.

  Parameters:
    `newValue` - the new border

### setClosable

    public void setClosable(boolean newValue)

  Sets whether the window is closable via a provided close button in the title bar.

  Parameters:
    `newValue` - true if the window is closable

### setCloseIcon

    public void setCloseIcon(ImageReference newValue)

  Sets the close button icon.

  Parameters:
    `newValue` - the new icon

### setCloseIconInsets

    public void setCloseIconInsets(Insets newValue)

  Sets the inset margin around the close button icon.

  Parameters:
    `newValue` - the new inset margin

### setDefaultCloseOperation

    public void setDefaultCloseOperation(int newValue)

  Sets the default close operation.

  Parameters:
    `newValue` - the new default close operation, one of the following values:
    - DO_NOTHING_ON_CLOSE
    - HIDE_ON_CLOSE
    - DISPOSE_ON_CLOSE

### setHeight

    public void setHeight(Extent newValue)

  Sets the height of the content region of the `WindowPane`. Values must be in pixel units.

  Parameters:
    `newValue` - the new height

### setIcon

    public void setIcon(ImageReference newValue)

  Sets the icon displayed in the title region.

  Parameters:
    `newValue` - the new icon

### setIconInsets

    public void setIconInsets(Insets newValue)

  Sets the inset margin around the icon.

  Parameters:
    `newValue` - the new inset margin

### setInsets

    public void setInsets(Insets newValue)

  Sets the inset of the window content. This property is not rendered when the content is a `Pane` component.

  Parameters:
    `newValue` - the new inset

### setMaximumHeight

    public void setMaximumHeight(Extent newValue)

  Sets the maximum height of the content region of the `WindowPane`. Values must be in pixel units.

  Parameters:
    `newValue` - the new maximum height

### setMaximumWidth

    public void setMaximumWidth(Extent newValue)

  Sets the maximum width of the content region of the `WindowPane`. Values must be in pixel units.

  Parameters:
    `newValue` - the new maximum width

### setMinimumHeight

    public void setMinimumHeight(Extent newValue)

  Sets the minimum height of the content region of the `WindowPane`. Values must be in pixel units.

  Parameters:
    `newValue` - the new minimum height

### setMinimumWidth

    public void setMinimumWidth(Extent newValue)

  Sets the minimum width of the content region of the `WindowPane`. Values must be in pixel units.

  Parameters:
    `newValue` - the new minimum width

### setModal

    public void setModal(boolean newValue)

  Description copied from interface: `ModalSupport`
  Sets the modal state of the `Component`.

  Specified by:
    `setModal` in interface `ModalSupport`
  Parameters:
    `newValue` - the new modal state
  See Also:
    `ModalSupport.setModal(boolean)`

### setMovable

    public void setMovable(boolean newValue)

  Sets whether the window is movable.

  Parameters:
    `newValue` - true if the window may be moved by the user

### setPositionX

    public void setPositionX(Extent newValue)

  Sets the horizontal (X) position of the `WindowPane` with respect to its container. Values must be in pixel units.

  Parameters:
    `newValue` - the new position

### setPositionY

    public void setPositionY(Extent newValue)

  Sets the vertical (Y) position of the `WindowPane` with respect to its container. Values must be in pixel units.

  Parameters:
    `newValue` - the new position

### setResizable

    public void setResizable(boolean newValue)

  Sets whether the window is resizable.

  Parameters:
    `newValue` - true if the window may be resized by the user

### setTitle

    public void setTitle(java.lang.String newValue)

  Sets the title of the `WindowPane`.

  Parameters:
    `newValue` - the title

### setTitleFont

    public void setTitleFont(Font newValue)

  Sets the font of the title region.

  Parameters:
    `newValue` - the new font

### setTitleBackground

    public void setTitleBackground(Color newValue)

  Sets the background color of the title region.

  Parameters:
    `newValue` - the new color

### setTitleBackgroundImage

    public void setTitleBackgroundImage(FillImage newValue)

  Sets the background image of the title region.

  Parameters:
    `newValue` - the new background image

### setTitleForeground

    public void setTitleForeground(Color newValue)

  Sets the foreground color of the title region.

  Parameters:
    `newValue` - the new color

### setTitleHeight

    public void setTitleHeight(Extent newValue)

  Sets the height of the title region. Values must be in pixel units.

  Parameters:
    `newValue` - the new height

### setTitleInsets

    public void setTitleInsets(Insets newValue)

  Sets the insets of the title region.

  Parameters:
    `newValue` - the new insets

### setWidth

    public void setWidth(Extent newValue)

  Sets the width of the content region of the window. Values must be in pixel units.

  Parameters:
    `newValue` - the new width

### setZIndex

    public void setZIndex(int newValue)

  Sets the z-index of the window with respect to its parent `ContentPane`. Windows with higher z-indices will visually obscure windows with lower z-indices.

  Parameters:
    `newValue` - the new z-index

### removeWindowPaneListener

    public void removeWindowPaneListener(WindowPaneListener l)

  Removes a `WindowPaneListener` from receiving event notifications.

  Parameters:
    `l` - the `WindowPaneListener` to remove

### userClose

    public void userClose()

  Processes a user request to close the window (via the close button).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD